Package org.eclipse.net4j.util.factory

# Class PropertiesFactory

java.lang.Object
org.eclipse.net4j.util.factory.Factory
org.eclipse.net4j.util.factory.PropertiesFactory

All Implemented Interfaces:
  `IFactory`, `IFactoryKeyAware`, `IPropertiesFactory`

public abstract class PropertiesFactory extends Factory implements IPropertiesFactory

Since:
  3.8
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_KEY`
`static final String`
`PROPERTY_SEPARATOR`

### Fields inherited from class org.eclipse.net4j.util.factory.Factory

`NO_DESCRIPTION`

## Constructor Summary

Constructors
Constructor
Description
`PropertiesFactory()`
`PropertiesFactory(String productGroup)`
`PropertiesFactory(String productGroup, String type)`
`PropertiesFactory(FactoryKey key)`
`PropertiesFactory(IFactoryKey key)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`create(String description)`
`protected abstract Object`
`create(Map<String,String> properties)`
`static String`
`createDescription(Map<String,String> properties)`
`Object`
`createWithProperties(Map<String,String> properties)`
`Map<String,String>`
`getPropertiesFor(Object product)`
`static Map<String,String>`
`parseProperties(String description)`

### Methods inherited from class org.eclipse.net4j.util.factory.Factory

`getDescriptionFor, getFactoryKey, getKey, getProductGroup, getType, productCreationException, productCreationException, setFactoryKey, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.factory.IFactory

`getDescriptionFor, getKey`

## Field Details

### PROPERTY_SEPARATOR

public static final String PROPERTY_SEPARATOR

See Also:
  - Constant Field Values

### DEFAULT_KEY

public static final String DEFAULT_KEY

See Also:
  - Constant Field Values

## Constructor Details

### PropertiesFactory

public PropertiesFactory()

Since:
  3.23

### PropertiesFactory

public PropertiesFactory(IFactoryKey key)

Since:
  3.23

### PropertiesFactory

public PropertiesFactory(String productGroup)

Since:
  3.23

### PropertiesFactory

public PropertiesFactory(FactoryKey key)

### PropertiesFactory

public PropertiesFactory(String productGroup, String type)

## Method Details

### getPropertiesFor

public Map<String,String> getPropertiesFor(Object product)

Since:
  3.20

### create

public Object create(String description) throws ProductCreationException

Specified by:
  `create` in interface `IFactory`
Throws:
  `ProductCreationException`

### createWithProperties

public Object createWithProperties(Map<String,String> properties) throws ProductCreationException

Specified by:
  `createWithProperties` in interface `IPropertiesFactory`
Throws:
  `ProductCreationException`

### create

protected abstract Object create(Map<String,String> properties) throws ProductCreationException

Throws:
  `ProductCreationException`

### createDescription

public static String createDescription(Map<String,String> properties)

### parseProperties

public static Map<String,String> parseProperties(String description)

Since:
  3.20